libzypp: zypp::Capabilities::const_iterator Class Reference

libzypp 17.38.9

zypp::Capabilities::const_iterator Class Reference

Capabilities iterator. More...

`#include <zypp/Capabilities.h>`

Inheritance diagram for zypp::Capabilities::const_iterator:

## Public Member Functions
| const_iterator ()
| const_iterator (const sat::detail::IdType *_idx)
bool | tagged () const
| Return `true` if the Capability is `tagged`.

## Private Member Functions
reference | dereference () const
template<class OtherDerived, class OtherIterator, class V, class C, class R, class D>
bool | equal (const boost::iterator_adaptor< OtherDerived, OtherIterator, V, C, R, D > &rhs) const
void | increment ()

## Private Attributes
DefaultIntegral< bool, false > | _tagged

## Friends
class | boost::iterator_core_access

## Detailed Description

Capabilities iterator.

Definition at line 100 of file Capabilities.h.

## Constructor & Destructor Documentation

## ◆ const_iterator() [1/2]

zypp::Capabilities::const_iterator::const_iterator | ( |  | ) |
| inline

Definition at line 109 of file Capabilities.h.

## ◆ const_iterator() [2/2]

zypp::Capabilities::const_iterator::const_iterator | ( | const sat::detail::IdType * | _idx | ) |
| inlineexplicit

Definition at line 113 of file Capabilities.h.

## Member Function Documentation

## ◆ tagged()

bool zypp::Capabilities::const_iterator::tagged | ( |  | ) | const
| inline

Return `true` if the Capability is `tagged`.

The meaning of `tagged` depends on the kind of dependency you are processing. It is a hint that the iteratir skipped some internal marker, indicating that subsequent cabailities have a special property. Within a Solvables requirements e.g. the pre-requirements are tagged.

Capabilities req( solvable.requires() );
for_( it, req.begin(), req.end() )
{
if ( it.tagged() )
cout << *it << " (is prereq)" << endl;
else
cout << *it << endl;
}
for_
#define for_(IT, BEG, END)
Convenient for-loops using iterator.
Definition Easy.h:27
zypp::Capabilities::Capabilities
Capabilities()
Default ctor.
Definition Capabilities.h:44

Definition at line 141 of file Capabilities.h.

## ◆ dereference()

reference zypp::Capabilities::const_iterator::dereference | ( |  | ) | const
| inlineprivate

Definition at line 146 of file Capabilities.h.

## ◆ equal()

template<class OtherDerived, class OtherIterator, class V, class C, class R, class D>

bool zypp::Capabilities::const_iterator::equal | ( | const boost::iterator_adaptor< OtherDerived, OtherIterator, V, C, R, D > & | rhs | ) | const
| inlineprivate

Definition at line 150 of file Capabilities.h.

## ◆ increment()

void zypp::Capabilities::const_iterator::increment | ( |  | ) |
| inlineprivate

Definition at line 157 of file Capabilities.h.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

friend class boost::iterator_core_access
| friend

Definition at line 144 of file Capabilities.h.

## Member Data Documentation

## ◆ _tagged

DefaultIntegral<bool,false> zypp::Capabilities::const_iterator::_tagged
| private

Definition at line 167 of file Capabilities.h.

The documentation for this class was generated from the following file:

- zypp/Capabilities.h